GCLOUD_KMS_KEYS_SET-PRIMARY-VERSION(1)

NAME

gcloud kms keys set-primary-version - set the primary version of a key

SYNOPSIS

gcloud kms keys set-primary-version KEY --version=VERSION [--keyring=KEYRING] [--location=LOCATION] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Sets the specified version as the primary version of the given key. The version is specified by its version number assigned on creation.

POSITIONAL ARGUMENTS

    KEY Name of the key to modify.

REQUIRED FLAGS

    --version=VERSION
        The version to make primary.

OPTIONAL FLAGS

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
The following command sets version 9 as the primary version of the key samwise within keyring fellowship and location global:
    $ gcloud kms keys set-primary-version samwise --version 9 \
        --keyring fellowship --location global